SYSTEMD-ESCAPE(1)

NOM
systemd-escape – Protection de chaines pour une utilisation dans les noms d’unité de systemd

SYNOPSIS

systemd-escape [OPTIONS...] [CHAINE...]

DESCRIPTION

systemd-escape peut être utilisé pour protéger des chaines contre l’interprétation pour une inclusion dans les noms d’unité de systemd. Cette commande peut être utilisée pour protéger des chaines ou supprimer cette protection.

Cette commande accepte n’importe quel nombre de chaines sur la ligne de commande et les traite individuellement, l’une après l’autre. Elles seront affichées sur la sortie standard séparées par des espaces.

Par défaut, cette commande protège les chaines indiquées à moins que l’option --unescape soit passée, aboutissant à l’opération inverse. Si l’option --mangle est indiquée, un mode spécial de protection est appliqué à la place qui suppose que la chaine est déjà protégée, mais qui protégera toute chose apparaissant manifestement non protégée.

Pour des renseignements sur les algorithmes de protection et de leur suppression, consulter la section concernée dans systemd.unit(5).

OPTIONS

Les options suivantes sont comprises :

--suffix=
    Ajouter le suffixe de type d’unité indiqué à la chaine protégée. Cette option prend comme argument un des types d’unité gérés par systemd tel que « service » ou « mount ». Elle ne peut être utilisée conjointement avec les options --template=, --unescape ou --mangle.

    Ajouté dans la version 216.

--template=
    Insérer des chaines protégées dans un modèle de nom d’unité. Cet argument prend un modèle de nom d’unité tel que tototiti@.service. Avec l’option --unescape, sont attendus des noms d’unité instanciée de ce modèle ; leur partie d’instance est extraite et leur protection est supprimée. Cette option ne peut être utilisée conjointement avec les options --suffix=, --instance ou --mangle.

    Ajouté dans la version 216.

--path, -p
    Lors de la protection ou de la suppression d’une chaine, cette option suppose que c’est une référence à un chemin de système de fichiers. Cela simplifie le chemin (les barres obliques de début, de fin ou en double sont supprimées, les composants « . » non opérationnels sont supprimés, et pour les chemins absolus les composants « .. » sont supprimés). Après la simplification, le chemin ne doit pas contenir de « .. ».

    Cela est particulièrement utile pour générer des chaines adaptées à la suppression de la protection pour des fichiers d’unité ayant le composant « %f ». Consulter systemd.unit(5).

    Ajouté dans la version 216.

--unescape, -u
    Au lieu de protéger les chaines indiquées, supprimer leur protection, ce qui inverse l’opération. Cette option ne peut être utilisée conjointement avec les options --suffix= ou --mangle.

    Ajouté dans la version 216.

--mangle, -m
    Cette option se comporte comme l’option --escape, mais protège seulement les caractères qui ne sont manifestement pas déjà protégés, et éventuellement ajoute automatiquement un suffixe de type d’unité approprié à la chaine. Cette option ne peut être utilisée conjointement avec les options --suffix=, --template= ou --unescape.

    Ajouté dans la version 216.

--instance
    Avec l’option --unescape, cette option supprime la protection et affiche la partie instance du modèle de nom d’unité instanciée. Cela aboutit à une erreur pour un modèle non instancié tel que ssh@.service ou un nom qui n’est pas un modèle comme ssh.service. Cette option doit être utilisée conjointement avec l’option --unescape et ne peut être utilisée conjointement avec l’option --template.

    Ajouté dans la version 240.

-h, --help
    Afficher un aide-mémoire succinct et quitter.

--version
    Afficher une information de version courte et quitter.

EXEMPLES

Protection d’une seule chaine :

    $ systemd-escape 'Hallöchen, Meister'
    Hall\xc3\xb6chen\x2c\x20Meister

Suppression de la protection d’une seule chaine :

    $ systemd-escape -u 'Hall\xc3\xb6chen\x2c\x20Meister'
    Hallöchen, Meister

Génération d’une unité mount pour un chemin :

    $ systemd-escape -p --suffix=mount "/tmp//waldi/tototiti/"
    tmp-waldi-tototiti.mount

Génération de noms d’instance de trois chaines ;

    $ systemd-escape --template=systemd-nspawn@.service 'Mon Conteneur 1' 'conteneurb' 'conteneur/III'
    systemd-nspawn@Mon\x20Conteneur\x201.service systemd-nspawn@conteneurb.service systemd-nspawn@conteneur-III.service

Extraction de la partie instance d’une unité instanciée :

    $ systemd-escape -u --instance 'systemd-nspawn@Mon\x20Conteneur\x201.service'
    Mon Conteneur 1

Extraction de la partie instance d’une instance d’un modèle particulier :

    $ systemd-escape -u --template=systemd-nspawn@.service 'systemd-nspawn@Mon\x20Conteneur\x201.service'
    Mon Conteneur 1

CODE DE RETOUR

En cas de succès, 0 est renvoyé, autrement, un code d'échec différent de zéro est renvoyé.

VOIR AUSSI

systemd(1), systemd.unit(5), systemctl(1)

TRADUCTION
La traduction française de cette page de manuel a été créée par Jean-Paul Guillonneau <guillonneau.jeanpaul@free.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.